# Generated by Django 4.0.10 on 2023-04-08 10:56

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('artefacts', '0013_remove_damageassessment_damage_level_and_more'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='damageassessment',
            options={'ordering': ['timestamp_add'], 'verbose_name': 'damage assessment', 'verbose_name_plural': 'damage assessments'},
        ),
        migrations.AlterModelOptions(
            name='damagegroup',
            options={'ordering': ['name'], 'verbose_name': 'damage group', 'verbose_name_plural': 'damage groups'},
        ),
        migrations.AlterModelOptions(
            name='typeofdamage',
            options={'ordering': ['group', 'name'], 'verbose_name': 'type of damage', 'verbose_name_plural': 'types of damage'},
        ),
        migrations.AddField(
            model_name='typeofdamage',
            name='deleted',
            field=models.DateTimeField(db_index=True, editable=False, null=True),
        ),
        migrations.AddField(
            model_name='typeofdamage',
            name='deleted_by_cascade',
            field=models.BooleanField(default=False, editable=False),
        ),
        migrations.AlterField(
            model_name='artefact',
            name='damage_level',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='artefacts.levelofdamage', verbose_name='level of damage'),
        ),
    ]
